camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From chaij <>
Subject opencmis client to run in osgi (karaf)
Date Mon, 10 Mar 2014 03:12:21 GMT
I am new to Camel. I am using opencmis client to communicate with Alfresco.
The application works fine in my eclipse env with the following dependency
in maven.


But when deployed this application to Karaf deploy directory, it didn't
start (listed as "Installed"). When I try to start it by "start xxx", I got
the error like:

Error executing command: Error starting bundles:
        Unable to start bundle 298: The bundle "com.esb_1.0.0 [298]" could
not be resolved. Reason: Missing Constraint: Import-Package:
org.apache.chemistry.opencmis.client.api; version="[0.10.0,1.0.0)"

How can I resolve this?


View this message in context:
Sent from the Camel - Users mailing list archive at

View raw message